System Requirements

To use Learn iT! Anytime effectively, you will need the following:

  • A broadband Internet connection (Cable, DSL, ect)
  • A modern, upgraded browser (Internet Explorer 7 or above, Firefox 3.0 or above, Safari 4.0 or above, Chrome 12.0 or above) If you are experiencing viewing issues, please consider installing a new browser. They're free!
  • You must enable Cookies and JavaScript

Please view a sample video before subscribing to make sure it loads and displays to your satisfaction.